Create a new client
Creates a new client in the external CRM platform for the authenticated broker. Requires a JWT bearer token.
Headers
- Type: stringx
-crm -platform requiredThe external CRM platform name.
Body·
required
application/json
- Type: string Format: datedate
Of Birth requiredfull-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string Format: emailemailrequired
- Type: stringexternal
Reference Id required - Type: stringfirst
Name required - Type: stringlast
Name required
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
Request Example for post/v1/subscriber/clients
curl https://api.broker.v1.demo.affordx.nz/v1/subscriber/clients \
--request POST \
--header 'x-crm-platform: Monday' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"firstName": "",
"lastName": "",
"email": "",
"dateOfBirth": "",
"externalReferenceId": ""
}'
{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "hello@example.com"
}